* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  font-family: 'poppins', sans-serif;
}
body {
  background: linear-gradient(to right,rgb(255,255,255),lightskyblue);
  overflow: hidden;
}
body, html {
  margin: 0;
  padding: 0;
  overflow-y: auto;
}
.header {
  position: fixed;
  top: 0;
  left: 0;
  padding: 20px 10%;
  width: 100%;
  background: transparent;
  display: flex;
  justify-content: space-between;
  align-items: center;
  z-index: 0;
}
.logo {
  position: relative;
  text-decoration: none;
  color: black;
  font-size: 24px;
  font-weight: 600;
}
.logo:hover {
  color: palevioletred;
}
.navbar a {
  display: inline-block;
  text-decoration: none;
  color: black;
  font-size: 25px;
  font-weight: 600;
  margin-left: 35px;
  transition: 0.3s;
}
.navbar a:hover {
  color: palevioletred;
}
.section {
  border: 2px solid black;
  border-radius: 30px;
  margin: 10px;
}
h1 {
  font-size: 50px;
  padding-top: 80px;
  color:palevioletred;
  margin: auto;
  display: flex;
  justify-content: center;
}
.intro-section {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 5px;
  max-width: 1200px;
  margin: auto;
  gap: 30px;
  flex-wrap: wrap;
}
.intro-text {
  flex: 1;
  min-width: 300px;
}
.intro-text h2 {
  font-size: 2.5em;
  color: purple;
  margin-bottom: 15px;
}
.intro-text .name {
  font-weight: bold;
  color:purple;
}
.intro-text p {
  font-size: 1.3em;
  color:purple;
  line-height: 1.6;
  margin-top: 10px;
}
.intro-img {
  flex: 1;
  display: flex;
  justify-content: flex-end;
  min-width: 250px;
  
}
.intro-img img {
  width: 300px;
  height: auto;
  border-radius: none;
  object-fit: cover; 
  border: 4px solid black;
  animation-duration: 4s;
  animation-name: spin;
  animation-timing-function: ease;
  animation-delay: 0.5s;
  animation-iteration-count: 1;
  animation-direction: normal;
  animation-fill-mode: forwards;
}
.about-me {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 5px;
  max-width: 1200px;
  margin: auto;
  gap: 30px;
  flex-wrap: wrap;
}
.about-me p {
  font-size: 1.3em;
  color:purple;
  line-height: 1.6;
  margin-top: 10px;
}
.skill {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 5px;
  max-width: 1200px;
  margin: auto;
  gap: 30px;
  flex-wrap: wrap;
}
.skill h2 {
  font-size: 1.8em;
  color:purple;
  line-height: 1.6;
  margin-top: 10px;
}
.skill ul {
  font-size: 1.8em;
  color:purple;
  line-height: 1.6;
  margin-top: 10px;
}
.projects {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 5px;
  max-width: 1200px;
  margin: auto;
  gap: 30px;
  flex-wrap: wrap;
}
.projects h3 {
  font-size: 2.0em;
  color:purple;
  line-height: 1.6;
  margin-top: 10px;
}
.projects p {
  font-size: 1.3em;
  color:purple;
  line-height: 1.6;
  margin-top: 10px;
}
.projects a {
  font-size: 1.8em;
  color:black;
  line-height: 1.6;
  margin-top: 10px;
  border: 4px solid black;
}
.contact {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 5px;
  max-width: 1200px;
  margin: auto;
  gap: 30px;
  flex-wrap: wrap;
}
.contact h3 {
  font-size: 1.8em;
  color:purple;
  line-height: 1.6;
  margin-top: 10px;
}
.contact p {
  font-size: 1.8em;
  color:purple;
  line-height: 1.6;
  margin-top: 10px;
}
.contact a {
  font-size: 1.3em;
  color:black;
  line-height: 1.6;
  margin-top: 10px;
  border: 4px solid black;
}
.animated-heading {
  font-size: 50px;
  margin-bottom: 30px;
  animation: bouncein 1s ease-in;
  animation-delay: 1s;
}
.animate-text {
  opacity: 0;
  transform: translateX(100px);
  animation: inputFadeIn 4s ease-in forwards;
}
.animate-para {
  opacity: 0;
  transform: translateX(-100px);
  animation: inputFadeIn 4s ease-in-out forwards;
}
@keyframes spin {
  0%{

  }
  50%{
    scale: 1;
    transform: rotateY(0);
    border-radius: 0;
  }
  100%{
    transform: rotateY(360deg);
    border-radius: 50%;
    scale: 1;
  }
}
@keyframes inputFadeIn {
  to {
    opacity: 1;
    transform: translateX(0);
  }
}
@keyframes bouncein {
  0% {
    transform: scale(0.5);
    opacity: 0;
  }
  60% {
    transform: scale(1.1);
    opacity: 1;
  }
  100% {
    transform: scale(1);
  }
}